summaryrefslogtreecommitdiff
path: root/extensions/initramfs.write
diff options
context:
space:
mode:
authorAdam Coldrick <adam.coldrick@codethink.co.uk>2015-06-02 14:01:55 +0000
committerAdam Coldrick <adam.coldrick@codethink.co.uk>2015-06-02 14:01:55 +0000
commitc6abc426b5857f9b1edd9c72e3094c1e2df8a7bf (patch)
treeeff61e6fe9bb3adcf254c4e86eebca7190c65cce /extensions/initramfs.write
parent4f43fdd08770c113f7443fecbda43d4316091d4b (diff)
parent02faf51e91a8c55adfbb6d953bca354ab99bf261 (diff)
downloaddefinitions-c6abc426b5857f9b1edd9c72e3094c1e2df8a7bf.tar.gz
Merge branch 'baserock/adamcoldrick/all-exts-in-definitions-v2'
Reviewed-by: Richard Maw <richard.maw@codethink.co.uk>
Diffstat (limited to 'extensions/initramfs.write')
-rwxr-xr-xextensions/initramfs.write26
1 files changed, 26 insertions, 0 deletions
diff --git a/extensions/initramfs.write b/extensions/initramfs.write
new file mode 100755
index 00000000..1059defa
--- /dev/null
+++ b/extensions/initramfs.write
@@ -0,0 +1,26 @@
+#!/bin/sh
+# Copyright (C) 2014-2015 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+# =*= License: GPL-2 =*=
+
+set -e
+
+ROOTDIR="$1"
+INITRAMFS_PATH="$2"
+
+(cd "$ROOTDIR" &&
+ find . -print0 |
+ cpio -0 -H newc -o) |
+ gzip -c | install -D -m644 /dev/stdin "$INITRAMFS_PATH"